package be.iminds.ilabt.jfed.gts.model.impl;

import be.iminds.ilabt.jfed.gts.model.GtsHost;
import javafx.beans.property.ObjectProperty;
import javafx.beans.property.SimpleObjectProperty;
import javafx.beans.property.SimpleStringProperty;
import javafx.beans.property.StringProperty;

/**
 * User: twalcari
 * Date: 6/5/2015
 * Time: 16:02
 */
public class FXGtsHost extends FXGtsNode implements GtsHost {


    private final ObjectProperty<Double> cpuSpeed = new SimpleObjectProperty<>();
    private final StringProperty image = new SimpleStringProperty();
    private final ObjectProperty<Integer> disk = new SimpleObjectProperty<>();

    FXGtsHost(){}



    @Override
    public Double getCpuSpeed() {
        return cpuSpeed.get();
    }

    public ObjectProperty<Double> cpuSpeedProperty() {
        return cpuSpeed;
    }

    public void setCpuSpeed(Double cpuSpeed) {
        this.cpuSpeed.set(cpuSpeed);
    }

    @Override
    public String getImage() {
        return image.get();
    }

    public StringProperty imageProperty() {
        return image;
    }

    public void setImage(String image) {
        this.image.set(image);
    }

    @Override
    public Integer getDisk() {
        return disk.get();
    }

    public ObjectProperty<Integer> diskProperty() {
        return disk;
    }

    public void setDisk(Integer disk) {
        this.disk.set(disk);
    }
}
